[arch-commits] Commit in xulrunner/repos (8 files)

Jan de Groot jgc at archlinux.org
Fri Jul 18 16:04:04 EDT 2008


    Date: Friday, July 18, 2008 @ 16:04:04
  Author: jgc
Revision: 5560

Merged revisions 3298-5559 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/xulrunner/trunk

........
  r5493 | jgc | 2008-07-16 21:54:27 +0000 (Wed, 16 Jul 2008) | 16 lines
  
  Update to 1.9.0.1:
  bzXXX_pc_honour_system_nspr_nss.patch:
    Set NSS_VERSION instead of NSPR_VERSION.
  
  mozilla-ssl-exception.patch:
  mozilla-ps-pdf-simplify-operators.patch:
    Applied upstream, remove.
  
  mozilla-pkgconfig.patch:
    Implement patch from fedora to fix FS#10821. Slightly modified.
  
  PKGBUILD:
    Make symlinks to xulrunner-1.9 and xulrunner-devel-1.9 to keep compatibility.
    Use symlinks in pkgconfig files also to keep the same directories across versions.
........
  r5506 | jgc | 2008-07-17 07:03:26 +0000 (Thu, 17 Jul 2008) | 2 lines
  
  Adjust dependencies
........
  r5515 | jgc | 2008-07-17 21:12:25 +0000 (Thu, 17 Jul 2008) | 2 lines
  
  Fix launcher stub. This fixes FS#10737.
........
  r5517 | jgc | 2008-07-17 22:10:54 +0000 (Thu, 17 Jul 2008) | 3 lines
  
  Re-add patch, still not applied upstream. Fixes issues with printing
  Fix md5sums
........

Added:
  xulrunner/repos/extra-i686/fix-mozilla-launcher.patch
    (from rev 5517, xulrunner/trunk/fix-mozilla-launcher.patch)
  xulrunner/repos/extra-i686/mozilla-pkgconfig.patch
    (from rev 5517, xulrunner/trunk/mozilla-pkgconfig.patch)
  xulrunner/repos/extra-i686/mozilla-ps-pdf-simplify-operators.patch
    (from rev 5517, xulrunner/trunk/mozilla-ps-pdf-simplify-operators.patch)
Modified:
  xulrunner/repos/extra-i686/	(properties)
  xulrunner/repos/extra-i686/PKGBUILD
  xulrunner/repos/extra-i686/bzXXX_pc_honour_system_nspr_nss.patch
Deleted:
  xulrunner/repos/extra-i686/mozilla-ps-pdf-simplify-operators.patch
  xulrunner/repos/extra-i686/mozilla-ssl-exception.patch

-----------------------------------------+
 PKGBUILD                                |   40 ++++++++-----
 bzXXX_pc_honour_system_nspr_nss.patch   |    2 
 fix-mozilla-launcher.patch              |   23 +++++++
 mozilla-pkgconfig.patch                 |   88 ++++++++++++++++++++++++++++++
 mozilla-ps-pdf-simplify-operators.patch |   84 ++++++++++++++--------------
 mozilla-ssl-exception.patch             |   14 ----
 6 files changed, 179 insertions(+), 72 deletions(-)


Property changes on: xulrunner/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /xulrunner/trunk:1-3297
   + /xulrunner/trunk:1-5559

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-18 19:36:31 UTC (rev 5559)
+++ extra-i686/PKGBUILD	2008-07-18 20:04:04 UTC (rev 5560)
@@ -2,36 +2,37 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xulrunner
-pkgver=1.9
+pkgver=1.9.0.1
 pkgrel=1
 pkgdesc="Mozilla Runtime Environment"
 arch=(i686 x86_64)
 license=('MPL' 'GPL' 'LGPL')
-depends=('gtk2>=2.12.10' 'gcc-libs>=4.3.1' 'libidl2>=0.8.10' 'mozilla-common' 'nss>=3.12rc4' 'libxt' 'lcms' 'hunspell>=1.2.2')
+depends=('gtk2>=2.12.11' 'gcc-libs>=4.3.1' 'libidl2>=0.8.10' 'mozilla-common' 'nss>=3.12' 'libxt' 'lcms' 'hunspell>=1.2.4')
 makedepends=('zip' 'pkgconfig' 'diffutils' 'libgnomeui>=2.22.1')
 provides=(gecko-sdk)
 replaces=(gecko-sdk)
 url="http://wiki.mozilla.org/XUL:Xul_Runner"
 source=(ftp://ftp.archlinux.org/other/xulrunner/${pkgname}-${pkgver}.tar.bz2
         mozconfig
-	mozilla-ps-pdf-simplify-operators.patch
-	mozilla-ssl-exception.patch
 	100-system-hunspell-corrections.patch
-	bzXXX_pc_honour_system_nspr_nss.patch)
-md5sums=('b08e330db311b12dfe9c83a786f8a07b'
+	bzXXX_pc_honour_system_nspr_nss.patch
+	mozilla-pkgconfig.patch
+	fix-mozilla-launcher.patch
+	mozilla-ps-pdf-simplify-operators.patch)
+md5sums=('ec141bfca8bcc9565086e1e2f1c5a03d'
          '33e6aa4d7119977f7e2464d3de8cff2a'
-         '13dca58c04e62a8916691c63c5c492a0'
-         '38c8a53e3f18b57249de3f40c7b28e81'
-         '5efd6772ed0ecf8eddec5d5650191d3c'
-         '2b5f800d1887e0b26781cd2d3682ab19')
+	 '5efd6772ed0ecf8eddec5d5650191d3c'
+	 '7a5151f90cb360bc1ea911e5cf7208e9'
+	 'dfbfb4e35912112668ac66dae0783686'
+	 '63eee2d1da3b43c9d604f2253f242f40'
+	 '13dca58c04e62a8916691c63c5c492a0')
 
 build() {
   cd ${startdir}/src/mozilla
   cp ${startdir}/src/mozconfig .mozconfig
 
-  #upstream fixes
+  #Upstream patch. Still not applied to 1.9.0.1
   patch -Np1 -i ${srcdir}/mozilla-ps-pdf-simplify-operators.patch || return 1
-  patch -Np1 -i ${srcdir}/mozilla-ssl-exception.patch || return 1
 
   #fix build with system hunspell - gentoo
   patch -Np0 -i ${srcdir}/100-system-hunspell-corrections.patch || return 1
@@ -39,7 +40,12 @@
   #fix pkgconfig files when building with system nss/nspr - ubuntu
   patch -Np1 -i ${srcdir}/bzXXX_pc_honour_system_nspr_nss.patch || return 1
 
-  #fix profiling
+  #fix libdir/sdkdir - fedora - with local modifications
+  patch -Np1 -i ${srcdir}/mozilla-pkgconfig.patch || return 1
+
+  #Fix stub launcher - archlinux
+  patch -Np0 -i ${srcdir}/fix-mozilla-launcher.patch || return 1
+
   unset CFLAGS
   unset CXXFLAGS
   export LDFLAGS="-Wl,-rpath,/usr/lib/xulrunner-1.9"
@@ -47,9 +53,13 @@
   make -j1 -f client.mk build MOZ_MAKE_FLAGS="$MAKEFLAGS" || return 1
   make -j1 DESTDIR=${startdir}/pkg install || return 1
 
-  rm -f ${startdir}/pkg/usr/bin/xulrunner
-  ln -sf /usr/lib/xulrunner-1.9/xulrunner ${startdir}/pkg/usr/bin/xulrunner
+  ln -sf xulrunner-${pkgver} ${pkgdir}/usr/lib/xulrunner-1.9
+  ln -sf xulrunner-devel-${pkgver} ${pkgdir}/usr/lib/xulrunner-devel-1.9
+  ln -sf xulrunner-${pkgver} ${pkgdir}/usr/include/xulrunner-1.9
+  ln -sf xulrunner-${pkgver} ${pkgdir}/usr/share/idl/xulrunner-1.9
 
   # The ubuntu patch adds these... get rid of it, NSS/NSPR has it.
   rm -f ${startdir}/pkg/usr/lib/pkgconfig/mozilla-ns{s,pr}.pc || return 1
+
+  sed -i -e "s/xulrunner-${pkgver}/xulrunner-1.9/g" -e "s/xulrunner-devel-${pkgver}/xulrunner-devel-1.9/g" ${pkgdir}/usr/lib/pkgconfig/*.pc || return 1
 }

Modified: extra-i686/bzXXX_pc_honour_system_nspr_nss.patch
===================================================================
--- extra-i686/bzXXX_pc_honour_system_nspr_nss.patch	2008-07-18 19:36:31 UTC (rev 5559)
+++ extra-i686/bzXXX_pc_honour_system_nspr_nss.patch	2008-07-18 20:04:04 UTC (rev 5560)
@@ -34,7 +34,7 @@
 -ifndef MOZ_NATIVE_NSS
 -pkg_config_files += mozilla-nss.pc
 +ifdef MOZ_NATIVE_NSS
-+NSPR_VERSION=$(shell $(NSS_CONFIG) --version)
++NSS_VERSION=$(shell $(NSS_CONFIG) --version)
 +FULL_NSS_CFLAGS=$(shell $(NSS_CONFIG) --cflags)
 +FULL_NSS_LIBS=$(shell $(NSS_CONFIG) --libs)
 +else

Copied: xulrunner/repos/extra-i686/fix-mozilla-launcher.patch (from rev 5517, xulrunner/trunk/fix-mozilla-launcher.patch)
===================================================================
--- extra-i686/fix-mozilla-launcher.patch	                        (rev 0)
+++ extra-i686/fix-mozilla-launcher.patch	2008-07-18 20:04:04 UTC (rev 5560)
@@ -0,0 +1,23 @@
+--- xulrunner/stub/nsXULStub.cpp	2008-07-17 21:43:11.000000000 +0200
++++ xulrunner/stub/nsXULStub.cpp	2008-07-17 21:47:04.000000000 +0200
+@@ -208,8 +208,10 @@
+   // 3) give up
+ 
+   struct stat fileStat;
++  char *testp;
+ 
+-  if (!realpath(argv[0], iniPath) || stat(iniPath, &fileStat)) {
++  testp = realpath(argv[0], iniPath);
++  if (!(testp != NULL && stat(iniPath, &fileStat) == 0 && S_ISREG(fileStat.st_mode) && fileStat.st_mode & S_IXUSR) || (testp != NULL && stat(iniPath, &fileStat))) {
+     const char *path = getenv("PATH");
+     if (!path)
+       return 1;
+@@ -222,7 +224,7 @@
+     char *token = strtok(pathdup, ":");
+     while (token) {
+       sprintf(tmpPath, "%s/%s", token, argv[0]);
+-      if (realpath(tmpPath, iniPath) && stat(iniPath, &fileStat) == 0) {
++      if (realpath(tmpPath, iniPath) && stat(iniPath, &fileStat) == 0 && S_ISREG(fileStat.st_mode) && fileStat.st_mode & S_IXUSR) {
+         found = PR_TRUE;
+         break;
+       }

Copied: xulrunner/repos/extra-i686/mozilla-pkgconfig.patch (from rev 5517, xulrunner/trunk/mozilla-pkgconfig.patch)
===================================================================
--- extra-i686/mozilla-pkgconfig.patch	                        (rev 0)
+++ extra-i686/mozilla-pkgconfig.patch	2008-07-18 20:04:04 UTC (rev 5560)
@@ -0,0 +1,88 @@
+diff -ruN mozilla/xulrunner/installer/libxul-embedding.pc.in mozilla/xulrunner/installer/libxul-embedding.pc.in
+--- mozilla/xulrunner/installer/libxul-embedding.pc.in	2008-07-16 20:27:31.000000000 +0200
++++ mozilla/xulrunner/installer/libxul-embedding.pc.in	2008-07-16 21:43:47.000000000 +0200
+@@ -1,7 +1,7 @@
+ prefix=%prefix%
+ sdkdir=%sdkdir%
+ includedir=%includedir%
+-idldir=%idldir%
++idldir=%idldir%/stable
+ includetype=stable
+ 
+ # Note: the default pkg-config cflags will only list include directories
+diff -ruN mozilla/xulrunner/installer/libxul-embedding-unstable.pc.in mozilla/xulrunner/installer/libxul-embedding-unstable.pc.in
+--- mozilla/xulrunner/installer/libxul-embedding-unstable.pc.in	2008-07-16 20:27:31.000000000 +0200
++++ mozilla/xulrunner/installer/libxul-embedding-unstable.pc.in	2008-07-16 21:44:06.000000000 +0200
+@@ -1,7 +1,7 @@
+ prefix=%prefix%
+ sdkdir=%sdkdir%
+ includedir=%includedir%
+-idldir=%idldir%
++idldir=%idldir%/unstable
+ includetype=unstable
+ 
+ Name: libxul-embedding-unstable
+diff -ruN mozilla/xulrunner/installer/libxul.pc.in mozilla/xulrunner/installer/libxul.pc.in
+--- mozilla/xulrunner/installer/libxul.pc.in	2007-08-03 16:46:28.000000000 +0200
++++ mozilla/xulrunner/installer/libxul.pc.in	2008-07-16 21:44:33.000000000 +0200
+@@ -1,7 +1,8 @@
+ prefix=%prefix%
+ sdkdir=%sdkdir%
++libdir=%libdir%
+ includedir=%includedir%
+-idldir=%idldir%
++idldir=%idldir%/stable
+ includetype=stable
+ 
+ # Note: the default pkg-config includes will only list include directories
+@@ -13,4 +14,4 @@
+ Version: %MOZILLA_VERSION%
+ Requires: %NSPR_NAME% >= %NSPR_VERSION%
+ Libs: -L${sdkdir}/lib -lxpcomglue_s -lxul -lxpcom
+-Cflags: -I${includedir}/${includetype} -fshort-wchar
+\ No newline at end of file
++Cflags: -I${includedir}/${includetype} -fshort-wchar
+diff -ruN mozilla/xulrunner/installer/libxul-unstable.pc.in mozilla/xulrunner/installer/libxul-unstable.pc.in
+--- mozilla/xulrunner/installer/libxul-unstable.pc.in	2008-01-05 07:50:34.000000000 +0100
++++ mozilla/xulrunner/installer/libxul-unstable.pc.in	2008-07-16 21:45:11.000000000 +0200
+@@ -1,7 +1,8 @@
+ prefix=%prefix%
+ sdkdir=%sdkdir%
++libdir=%libdir%
+ includedir=%includedir%
+-idldir=%idldir%
++idldir=%idldir%/unstable
+ includetype=unstable
+ 
+ Name: libxul
+diff -ruN mozilla/xulrunner/installer/Makefile.in mozilla/xulrunner/installer/Makefile.in
+--- mozilla/xulrunner/installer/Makefile.in	2008-07-16 20:27:31.000000000 +0200
++++ mozilla/xulrunner/installer/Makefile.in	2008-07-16 21:45:51.000000000 +0200
+@@ -125,6 +125,7 @@
+ 	-e "s|%includedir%|$(includedir)|" \
+ 	-e "s|%idldir%|$(idldir)|" \
+ 	-e "s|%sdkdir%|$(sdkdir)|" \
++	-e "s|%libdir%|$(installdir)|" \
+ 	-e "s|%MOZ_APP_NAME%|$(MOZ_APP_NAME)|" \
+ 	-e "s|%MOZILLA_VERSION%|$(MOZ_APP_VERSION)|" \
+ 	-e "s|%FULL_NSPR_LIBS%|$(FULL_NSPR_LIBS)|" \
+diff -ruN mozilla/xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in mozilla/xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in
+--- mozilla/xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in	2008-01-10 10:17:49.000000000 +0100
++++ mozilla/xulrunner/installer/mozilla-gtkmozembed-embedding.pc.in	2008-07-16 21:46:14.000000000 +0200
+@@ -1,5 +1,6 @@
+ prefix=%prefix%
+ sdkdir=%sdkdir%
++libdir=%libdir%
+ includedir=%includedir%
+ 
+ Name: mozilla-gtkembedmoz
+diff -ruN mozilla/xulrunner/installer/mozilla-gtkmozembed.pc.in mozilla/xulrunner/installer/mozilla-gtkmozembed.pc.in
+--- mozilla/xulrunner/installer/mozilla-gtkmozembed.pc.in	2008-01-10 10:17:49.000000000 +0100
++++ mozilla/xulrunner/installer/mozilla-gtkmozembed.pc.in	2008-07-16 21:46:28.000000000 +0200
+@@ -1,5 +1,6 @@
+ prefix=%prefix%
+ sdkdir=%sdkdir%
++libdir=%libdir%
+ includedir=%includedir%
+ 
+ Name: mozilla-gtkembedmoz

Deleted: extra-i686/mozilla-ps-pdf-simplify-operators.patch
===================================================================
--- extra-i686/mozilla-ps-pdf-simplify-operators.patch	2008-07-18 19:36:31 UTC (rev 5559)
+++ extra-i686/mozilla-ps-pdf-simplify-operators.patch	2008-07-18 20:04:04 UTC (rev 5560)
@@ -1,42 +0,0 @@
-https://bugzilla.mozilla.org/show_bug.cgi?id=435313
-
-Index: mozilla/gfx/thebes/public/gfxPDFSurface.h
-===================================================================
-RCS file: /cvsroot/mozilla/gfx/thebes/public/gfxPDFSurface.h,v
-retrieving revision 1.13
-diff -d -u -p -r1.13 gfxPDFSurface.h
---- mozilla/gfx/thebes/public/gfxPDFSurface.h	19 Mar 2008 20:51:42 -0000	1.13
-+++ mozilla/gfx/thebes/public/gfxPDFSurface.h	23 May 2008 00:50:31 -0000
-@@ -63,7 +63,11 @@ public:
-     // this is in points!
-     const gfxSize& GetSize() const { return mSize; }
- 
--    virtual PRInt32 GetDefaultContextFlags() const { return gfxContext::FLAG_DISABLE_SNAPPING; }
-+    virtual PRInt32 GetDefaultContextFlags() const
-+    {
-+        return gfxContext::FLAG_SIMPLIFY_OPERATORS |
-+               gfxContext::FLAG_DISABLE_SNAPPING;
-+    }
- 
- private:
-     nsCOMPtr<nsIOutputStream> mStream;
-Index: mozilla/gfx/thebes/public/gfxPSSurface.h
-===================================================================
-RCS file: /cvsroot/mozilla/gfx/thebes/public/gfxPSSurface.h,v
-retrieving revision 1.13
-diff -d -u -p -r1.13 gfxPSSurface.h
---- mozilla/gfx/thebes/public/gfxPSSurface.h	19 Mar 2008 20:51:42 -0000	1.13
-+++ mozilla/gfx/thebes/public/gfxPSSurface.h	23 May 2008 00:50:31 -0000
-@@ -63,7 +63,11 @@ public:
-     // this is in points!
-     const gfxSize& GetSize() const { return mSize; }
- 
--    virtual PRInt32 GetDefaultContextFlags() const { return gfxContext::FLAG_DISABLE_SNAPPING; }
-+    virtual PRInt32 GetDefaultContextFlags() const
-+    {
-+        return gfxContext::FLAG_SIMPLIFY_OPERATORS |
-+               gfxContext::FLAG_DISABLE_SNAPPING;
-+    }
- 
- private:
-     nsCOMPtr<nsIOutputStream> mStream;

Copied: xulrunner/repos/extra-i686/mozilla-ps-pdf-simplify-operators.patch (from rev 5517, xulrunner/trunk/mozilla-ps-pdf-simplify-operators.patch)
===================================================================
--- extra-i686/mozilla-ps-pdf-simplify-operators.patch	                        (rev 0)
+++ extra-i686/mozilla-ps-pdf-simplify-operators.patch	2008-07-18 20:04:04 UTC (rev 5560)
@@ -0,0 +1,42 @@
+https://bugzilla.mozilla.org/show_bug.cgi?id=435313
+
+Index: mozilla/gfx/thebes/public/gfxPDFSurface.h
+===================================================================
+RCS file: /cvsroot/mozilla/gfx/thebes/public/gfxPDFSurface.h,v
+retrieving revision 1.13
+diff -d -u -p -r1.13 gfxPDFSurface.h
+--- mozilla/gfx/thebes/public/gfxPDFSurface.h	19 Mar 2008 20:51:42 -0000	1.13
++++ mozilla/gfx/thebes/public/gfxPDFSurface.h	23 May 2008 00:50:31 -0000
+@@ -63,7 +63,11 @@ public:
+     // this is in points!
+     const gfxSize& GetSize() const { return mSize; }
+ 
+-    virtual PRInt32 GetDefaultContextFlags() const { return gfxContext::FLAG_DISABLE_SNAPPING; }
++    virtual PRInt32 GetDefaultContextFlags() const
++    {
++        return gfxContext::FLAG_SIMPLIFY_OPERATORS |
++               gfxContext::FLAG_DISABLE_SNAPPING;
++    }
+ 
+ private:
+     nsCOMPtr<nsIOutputStream> mStream;
+Index: mozilla/gfx/thebes/public/gfxPSSurface.h
+===================================================================
+RCS file: /cvsroot/mozilla/gfx/thebes/public/gfxPSSurface.h,v
+retrieving revision 1.13
+diff -d -u -p -r1.13 gfxPSSurface.h
+--- mozilla/gfx/thebes/public/gfxPSSurface.h	19 Mar 2008 20:51:42 -0000	1.13
++++ mozilla/gfx/thebes/public/gfxPSSurface.h	23 May 2008 00:50:31 -0000
+@@ -63,7 +63,11 @@ public:
+     // this is in points!
+     const gfxSize& GetSize() const { return mSize; }
+ 
+-    virtual PRInt32 GetDefaultContextFlags() const { return gfxContext::FLAG_DISABLE_SNAPPING; }
++    virtual PRInt32 GetDefaultContextFlags() const
++    {
++        return gfxContext::FLAG_SIMPLIFY_OPERATORS |
++               gfxContext::FLAG_DISABLE_SNAPPING;
++    }
+ 
+ private:
+     nsCOMPtr<nsIOutputStream> mStream;

Deleted: extra-i686/mozilla-ssl-exception.patch
===================================================================
--- extra-i686/mozilla-ssl-exception.patch	2008-07-18 19:36:31 UTC (rev 5559)
+++ extra-i686/mozilla-ssl-exception.patch	2008-07-18 20:04:04 UTC (rev 5560)
@@ -1,14 +0,0 @@
-https://bugzilla.mozilla.org/show_bug.cgi?id=436870
-
-diff --git a/security/manager/ssl/src/nsCertOverrideService.h b/security/manager/ssl/src/nsCertOverrideService.h
---- a/security/manager/ssl/src/nsCertOverrideService.h
-+++ b/security/manager/ssl/src/nsCertOverrideService.h
-@@ -109,6 +109,7 @@
-     nsCertOverrideEntry(const nsCertOverrideEntry& toCopy)
-     {
-       mSettings = toCopy.mSettings;
-+      mHostWithPort = toCopy.mHostWithPort;
-     }
- 
-     ~nsCertOverrideEntry()
-





More information about the arch-commits mailing list